Package weka.classifiers.functions

# Class IsotonicRegression

java.lang.Object
weka.classifiers.Classifier
weka.classifiers.functions.IsotonicRegression

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `OptionHandler`, `RevisionHandler`, `WeightedInstancesHandler`

public class IsotonicRegression extends Classifier implements WeightedInstancesHandler
Learns an isotonic regression model. Picks the attribute that results in the lowest squared error. Missing values are not allowed. Can only deal with numeric attributes.Considers the monotonically increasing case as well as the monotonicallydecreasing case

Valid options are:

     -D
      If set, classifier is run in debug mode and
      may output additional info to the console

Version:
  $Revision: 5523 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IsotonicRegression()`

## Method Summary

Modifier and Type
Method
Description
`void`
`buildClassifier(Instances insts)`
Builds an isotonic regression model given the supplied training data.
`double`
`classifyInstance(Instance inst)`
Generate a prediction for the supplied instance.
`Capabilities`
`getCapabilities()`
Returns default capabilities of the classifier.
`String`
`getRevision()`
Returns the revision string.
`String`
`globalInfo()`
Returns a string describing this classifier
`static void`
`main(String[] argv)`
Main method for testing this class
`String`
`toString()`
Returns a description of this classifier as a string

### Methods inherited from class weka.classifiers.Classifier

`debugTipText, distributionForInstance, forName, getDebug, getOptions, listOptions, makeCopies, makeCopy, setDebug, setOptions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IsotonicRegression

public IsotonicRegression()

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing this classifier

Returns:
  a description of the classifier suitable for displaying in the explorer/experimenter gui

### classifyInstance

public double classifyInstance(Instance inst) throws Exception
Generate a prediction for the supplied instance.

Overrides:
  `classifyInstance` in class `Classifier`
Parameters:
  `inst` - the instance to predict.
Returns:
  the prediction
Throws:
  `Exception` - if an error occurs

### getCapabilities

public Capabilities getCapabilities()
Returns default capabilities of the classifier.

Specified by:
  `getCapabilities` in interface `CapabilitiesHandler`
Overrides:
  `getCapabilities` in class `Classifier`
Returns:
  the capabilities of this classifier
See Also:
  - `Capabilities`

### buildClassifier

public void buildClassifier(Instances insts) throws Exception
Builds an isotonic regression model given the supplied training data.

Specified by:
  `buildClassifier` in class `Classifier`
Parameters:
  `insts` - the training data.
Throws:
  `Exception` - if an error occurs

### toString

public String toString()
Returns a description of this classifier as a string

Overrides:
  `toString` in class `Object`
Returns:
  a description of the classifier.

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `Classifier`
Returns:
  the revision

### main

public static void main(String[] argv)
Main method for testing this class

Parameters:
  `argv` - options